Unify and manage your data

List hierarchies for an object

Learn more about how to use the List hierarchies API to return the hierarchies that include an object.

Use the List hierarchies for an object to view a list of hierarchies for an object. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/objects/{entityId}/list

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /objects/{entityId}/list
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
hierarchyIdStringThe hierarchy ID.
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
singleInstanceIdStringOptional. If versioning is disabled, the ID of the only hierarchy instance.

Example response

The following example shows the response body.

[
  {
    "hierarchyId": "prd",
    "type": "configuration/hierarchyTypes/TypeProduct",
    "name": "Product Hierarchy - Version 1",
    "hasVersioning": true
  },
  {
    "hierarchyId": "obj",
    "type": "configuration/hierarchyTypes/TypeObjects",
    "name": "Object Hierarchy",
    "hasVersioning": false,
    "singleInstanceId": "obj.1"
  }
]